rb_objcpu.d(1m)

NAME
rb_objcpu.d - measure Ruby object creation on-CPU time using DTrace.

SYNOPSIS
rb_objcpu.d

DESCRIPTION
This traces Ruby activity from all programs running on the system with Ruby provider support. Class names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_objcpu.d

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_objcpu.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)